ACOSH(3)

NAME
acosh, acoshf, acoshl - inverse hyperbolic cosine function

SYNOPSIS
#include <math.h>

double acosh(double x);
float acoshf(float x);
long double acoshl(long double x);

Link with -lm.

Feature Test Macro Requirements for glibc (see feature_test_macros(7)):

acosh(), acoshf(), acoshl(): _BSD_SOURCE || _SVID_SOURCE || _XOPEN_SOURCE >= 500 || _ISOC99_SOURCE; or cc -std=c99

DESCRIPTION
The acosh() function calculates the inverse hyperbolic cosine of x; that is the value whose hyperbolic cosine is x. If x is less than 1.0, acosh() returns not-a-number (NaN) and errno is set.

ERRORS

EDOM
    x is out of range.

CONFORMING TO
SVr4, POSIX.1-2001, 4.3BSD, C89. The float and long double variants are C99 requirements.

SEE ALSO
asinh(3), atanh(3), cacosh(3), cosh(3), sinh(3), tanh(3)